# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(List/Util.pm) perl(Math/GSL/Linalg/SVD.pm) perl(Math/MatrixReal.pm) perl(Module/Build.pm) perl(Test/More.pm) perl(version.pm)
# END SourceDeps(oneline)
%define module_version 0.0-2
%define module_name Statistics-PCA-Varimax
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.0_2
Release: alt1
Summary: A Perl implementation of Varimax rotation.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/D/DS/DSTH/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
Varimax rotation is a change of coordinates used in principal component analysis and factor analysis that maximizes the
sum of the variances of the squared loadings matrix. This module exports a single routine 'rotate'. This routine is
called in LIST context and accepts a LIST-of-LISTS (LoL) corresponding to the loadings matrix of a factor analysis and
returns two references to LoLs (NOTE: each nested LIST corresponds to the loadings for a single factor). The first is a 
LoL of the rotated loadings and the seconds is a LoL of the orthogonal matrix. See http://en.wikipedia.org/wiki/Varimax_rotation.


%prep
%setup -n %module_name

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/S*

%changelog
* Wed Oct 16 2013 Igor Vlasenko <viy@altlinux.ru> 0.0_2-alt1
- initial import by package builder

